# Shape

class `pyregion.``Shape`(shape_name, shape_params)

  Bases: `object`

  Shape.

  Parameters:

  shape_name : str

  > Shape name

  shape_params : list

  > List of parameters

  Examples

      >>> import pyregion
      >>> region_string = 'fk5;circle(290.96388,14.019167,843.31194")'
      >>> shape_list = pyregion.parse(region_string)
      >>> shape = shape_list[0]
      >>> print(shape.__dict__)
      {'attr': ([], {}),
       'comment': None,
       'continued': None,
       'coord_format': 'fk5',
       'coord_list': [290.96388, 14.019167, 0.23425331666666666],
       'exclude': False,
       'name': 'circle',
       'params': [Number(290.96388), Number(14.019167), Ang(843.31194")]}

  Methods Summary

  `set_exclude`() |

  Methods Documentation

  `set_exclude`()